Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class ReportItemThemeHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.AbstractThemeHandle
                  org.eclipse.birt.report.model.api.ReportItemThemeHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IAbstractThemeModel, org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.IReportItemThemeModel

    public class ReportItemThemeHandle

extends AbstractThemeHandle
implements org.eclipse.birt.report.model.elements.interfaces.IReportItemThemeModel

Represents a report item theme in the library. Each theme contains some number of styles.

See Also:
  `ReportItemTheme`

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IReportItemThemeModel
`TYPE_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IAbstractThemeModel
`CSSES_PROP, DEFAULT_THEME_NAME, STYLES_SLOT`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`ReportItemThemeHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs the handle for a theme with the given design and element.

Method Summary
`java.lang.String` | `getType()` Gets the type for this report item theme.
`void` | `importCssStyles(CssStyleSheetHandle stylesheet, java.util.List<SharedStyleHandle> selectedStyles)` Imports the selected styles in a `CssStyleSheetHandle` to the given theme of the library.
`void` | `setType(java.lang.String type)` Sets the type for this report item theme.

Methods inherited from class org.eclipse.birt.report.model.api.AbstractThemeHandle
`addCss, addCss, addCss, canAddCssStyleSheet, canAddCssStyleSheet, canDropCssStyleSheet, canRenameCss, dropCss, findCssStyleSheetHandleByName, findIncludedCssStyleSheetHandleByName, findStyle, getAllCssStyleSheets, getAllStyles, getDisplayLabel, getStyles, includeCssesIterator, reloadCss, renameCss`

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportItemThemeHandle

    public ReportItemThemeHandle(org.eclipse.birt.report.model.core.Module module,
                                 org.eclipse.birt.report.model.core.DesignElement element)

  Constructs the handle for a theme with the given design and element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getType

    public java.lang.String getType()

  Gets the type for this report item theme. The type for this theme is required. If it is not set, no style can be inserted to this theme. The type can be the predefined choices as one of the following:
  - REPORT_ITEM_THEME_TYPE_TABLE
  - REPORT_ITEM_THEME_TYPE_LIST
  - REPORT_ITEM_THEME_TYPE_GRID
  At the another side, the type can be extension name for the extended item, such as crosstab and chart and others. Generally, the type is the name of the element definition`IObjectDefn.getName()` .

  Returns:

### setType

    public void setType(java.lang.String type)
                 throws SemanticException

  Sets the type for this report item theme. The type for this theme is required. If it is not set, no style can be inserted to this theme. The type can be the predefined choices as one of the following:
  - REPORT_ITEM_THEME_TYPE_TABLE
  - REPORT_ITEM_THEME_TYPE_LIST
  - REPORT_ITEM_THEME_TYPE_GRID
  At the another side, the type can be extension name for the extended item, such as crosstab and chart and others. Generally, the type is the name of the element definition`IObjectDefn.getName()` .

  Parameters:
    `type` - the type to set for this report item theme
  Throws:
    `SemanticException`

### importCssStyles

    public void importCssStyles(CssStyleSheetHandle stylesheet,
                                java.util.List<SharedStyleHandle> selectedStyles)
                         throws SemanticException

  Imports the selected styles in a `CssStyleSheetHandle` to the given theme of the library. Each in the list is instance of `SharedStyleHandle` .If any style selected has a duplicate name with that of one style already existing in the report design, this method will rename it and then add it to the design.

  Parameters:
    `stylesheet` - the style sheet handle that contains all the selected styles
    `selectedStyles` - the selected style list
    `themeName` - the name of the theme to put styles
  Throws:
    `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.